/*  GnomeKiss - A KiSS viewer for the GNOME desktop
    Copyright (C) 2000  Nick Lamb <njl195@zepler.org.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "interface.h"
#include "support.h"
#include "kiss.h"

/* Implementation */
GtkWidget *app, *area, *appbar;
GtkWidget *about, *set_open, *config_open;
GtkWidget *buttons[SETS], *items[SETS];

guchar palette[768];

int
main (int argc, char *argv[])
{
  GtkWidget *application;
  int i;
  guchar widget_name[]= "show_setN";

  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);

  gnome_init ("gnomekiss", VERSION, argc, argv);
  gdk_rgb_init ();

  gtk_widget_push_visual(gdk_rgb_get_visual());
  gtk_widget_push_colormap(gdk_rgb_get_cmap());
  application = create_application ();
  about= create_about ();
  set_open= create_set_open ();
  config_open= create_config_open ();
  gtk_widget_pop_visual();
  gtk_widget_pop_colormap();

  app = application;
  area = get_widget(application, "area");
  appbar = get_widget(application, "appbar");

  for (i= 0; i < SETS; ++i) {
    snprintf(widget_name, sizeof(widget_name), "show_set%d", i);
    buttons[i]= get_widget(application, widget_name);

    snprintf(widget_name, sizeof(widget_name), "set_%d", i);
    items[i]= get_widget(application, widget_name);
  }

  gtk_widget_show (application);

  if (argc > 1) {
    open_either(argv[1]);
  }

  gtk_main ();
  return 0;
}

